#
# spec file for package bluetuith
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bluetuith
Version:        0.2.3
Release:        1.5
Summary:        A TUI bluetooth manager for Linux
License:        MIT
Group:          Hardware/Mobile
URL:            https://github.com/darkhz/bluetuith
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
Requires:       bluez
Requires:       dbus-1

%description
bluetuith is a TUI-based bluetooth connection manager, which can interact with bluetooth adapters and devices. It aims to be a replacement to most bluetooth managers, like blueman.
This project is currently in the alpha stage.

%prep
%setup -q -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}

%changelog
* Wed Aug 14 2024 Michael Vette <mvetter@suse.com>
- Update to version 0.2.3:
  * README: Update project status and features
  * goreleaser: Update version and change format
  * go: Update dependencies
  * ui/help: Mark toggleable device actions properly
  * ui: help: Clarify connect keybinding toggle functionality
* Fri Apr  5 2024 Michael Vetter <mvetter@suse.com>
- Update to version 0.2.2:
  * go: Update dependencies
* Sat Feb  3 2024 Michael Vetter <mvetter@suse.com>
- Update to version 0.2.1:
  * go: Update dependencies
  * ui, theme: Set adapter state colors appropriately
  * ui: Handle default Ctrl-C keyevent
  * ui: player: Use defined keybindings
  * ui: player: Show help area after the information display
  * ui: progress: Clear status progress on transfer completion
  * bluez: services: Update service table and descriptors
  * cmd: Finish parsing before initializing connection
  * cmd: fix version print if no `@` is present
* Sat Jan 20 2024 Joshua Smith <jsmithfpv@gmail.com>
- Update to 0.2.0:
  * Show device alias name if it is unique
  * Display compact set of help keybindings
* Mon Nov  6 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.1.9:
  * bluez: Assert single/multiple property types safely
  * ui: progress: Do not close page when no transfers are in progress
  * ui: modal: Set width and height appropriately with the provided message
  * ui: modal: Set width and height appropriately with the provided message
* Wed Oct 25 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.1.8:
  * New command-line options:
    + 'no-warning' to disable the warnings popup.
    + 'confirm-on-quit' to show a confirmation message before quitting the application.
    + 'adapter-states' to set the adapter states (powered, scan, discoverable, pairable).
    + 'connect-bdaddr' to connect to a device with its address.
  * Modifiable navigation keys
  * Display device's 'Bonded' property
  * Allow blocking/unblocking devices
  * Minor bugfixes
* Fri Sep  1 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.1.7:
  * New HJSON-based configuration format
  * Adapter status indicators
  * Cancellable OBEX session creation
  * Enhanced popups
  * Major bugfixes and improvements
* Mon Jul 10 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.1.5:
  * ui: device: Show address if name is empty
  * agent: Display pincode in a modal #14
* Fri Jun 23 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.1.5:
  * Update dependencies to resolve vulnerability
* Fri Jun 23 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.1.4:
  * Minor bugfixes
* Mon Jan  9 2023 Michael Vetter <mvetter@suse.com>
- Initial package of bluetuith 0.1.3 for openSUSE
